/******************************************************************************
 *                                                                            *
 *                     evolving systems consulting s.r.o.                     *
 *                         an esc Aerospace Company                           *
 *                       http://www.esc-aerospace.com                         *
 *                                                                            *
 *                           ALL RIGHTS RESERVED                              *
 *                                                                            *
 ******************************************************************************/
/** @file
 *  Compiler: GCC, MSVC
 *
 * $HeadURL: svn://213.165.82.37/esa_gs4_asg_uvn_rfq_00003_performance_assessment_tools/SW/src/PATGUI/OmpFix.h $
 * $Revision: 9874 $
 * $Date: 2017-04-05 00:11:08 +0200 (st, 05 IV 2017) $
 * $Author: escsro058 $ */
#ifndef __OMP_FIX_H__
#define __OMP_FIX_H__


#if defined _OPENMP
    #include <omp.h>
    #if _OPENMP<200805
        #define UNS_OMP_IT int  ///< Old OMP does not allow for cycle iterators to be unsigned.
    #endif
#endif
#ifndef UNS_OMP_IT
    #define UNS_OMP_IT unsigned   ///< Iterator type for OMP aware for loop.
#endif


#endif